unit ListLinks;
{PUBDIST}

interface

uses
 IWAppForm, IWApplication, IWTypes, IWTMSPopup, Classes, Controls,
  IWControl, IWCompEdit, IWTMSCtrls, IWCompLabel, IWCompButton, StdCtrls,
  IWCompListbox, IWTMSLinks, IWBaseControl, LeftFrame, Forms, TopFrame,
  IWVCLBaseControl, IWBaseHTMLControl;

type
  TformListLinks = class(TIWAppForm)
    TIWListLink1: TTIWListLink;
    IWListbox1: TIWListbox;
    IWListbox2: TIWListbox;
    IWButton3: TIWButton;
    IWButton4: TIWButton;
    IWButton5: TIWButton;
    IWButton6: TIWButton;
    IWButton7: TIWButton;
    IWButton8: TIWButton;
    IWListbox3: TIWListbox;
    IWListbox4: TIWListbox;
    IWButton9: TIWButton;
    IWLabel1: TIWLabel;
    IWLabel2: TIWLabel;
    TIWComboListLink1: TTIWComboListLink;
    IWComboBox1: TIWComboBox;
    IWListbox7: TIWListbox;
    IWLabel3: TIWLabel;
    IWButton13: TIWButton;
    IWButton14: TIWButton;
    IWButton15: TIWButton;
    IWButton16: TIWButton;
    IWButton17: TIWButton;
    IWButton18: TIWButton;
    IWButton19: TIWButton;
    IWListbox9: TIWListbox;
    IWComboBox2: TIWComboBox;
    IWLabel5: TIWLabel;
    IWLabel10: TIWLabel;
    IWLabel11: TIWLabel;
    IWLabel12: TIWLabel;
    IWLabel13: TIWLabel;
    IWLabel15: TIWLabel;
    FrameTopFrame1: TFrameTopFrame;
    FrameLeftFrame1: TFrameLeftFrame;

    procedure IWButton9Click(Sender: TObject);
    procedure IWButton19Click(Sender: TObject);
   public
  end;

implementation
{$R *.dfm}

uses
  ServerController;

procedure TformListLinks.IWButton9Click(Sender: TObject);
begin
  IWListBox3.Items.Assign(IWListBox1.Items);
  IWListBox4.Items.Assign(IWListBox2.Items);
end;

procedure TformListLinks.IWButton19Click(Sender: TObject);
begin
  IWComboBox2.Items.Assign(IWComboBox1.Items);
  IWListBox9.Items.Assign(IWListBox7.Items);
end;



initialization
  TformListLinks.SetAsMainForm;

end.
